Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2.util
Class LocaleHandler

    java.lang.Object
      org.apache.axis.handlers.BasicHandler
          com.jaspersoft.jasperserver.ws.axis2.util.LocaleHandler

All Implemented Interfaces:
  java.io.Serializable, org.apache.axis.Handler

    public class LocaleHandler

extends org.apache.axis.handlers.BasicHandler

Version:
  $Id: LocaleHandler.java 9867 2007-08-31 13:18:39Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`LocaleHandler()`

Method Summary
`java.util.List` | `getUnderstoodHeaders()`
`void` | `invoke(org.apache.axis.MessageContext msgContext)`
`void` | `onFault(org.apache.axis.MessageContext msgContext)`
`protected void` | `resetLocale(org.apache.axis.MessageContext msgContext)`
`protected void` | `setLocale(org.apache.axis.MessageContext msgContext)`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, init, initHashtable, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocaleHandler

    public LocaleHandler()

Method Detail

### getUnderstoodHeaders

    public java.util.List getUnderstoodHeaders()

  Specified by:
    `getUnderstoodHeaders` in interface `org.apache.axis.Handler`
  Overrides:
    `getUnderstoodHeaders` in class `org.apache.axis.handlers.BasicHandler`

### invoke

    public void invoke(org.apache.axis.MessageContext msgContext)
                throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### onFault

    public void onFault(org.apache.axis.MessageContext msgContext)

  Specified by:
    `onFault` in interface `org.apache.axis.Handler`
  Overrides:
    `onFault` in class `org.apache.axis.handlers.BasicHandler`

### setLocale

    protected void setLocale(org.apache.axis.MessageContext msgContext)
                      throws org.apache.axis.AxisFault

  Throws:
    `org.apache.axis.AxisFault`

### resetLocale

    protected void resetLocale(org.apache.axis.MessageContext msgContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.